 <!DOCTYPE html>
 <html lang="en">
 <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Objects</title>
 </head>
 <body>
    
    <script>

        // const product = {
        //     name : 'socks',
        //     price : 1090
        // }

        // console.log( product );
        // console.log( product.name );
        // console.log( product.price );

        // product.name = 'cotton socks';
        // console.log( product );

        // product.newProperty = true;
        // console.log(product);

        // delete product.newProperty;
        // console.log(product)

        /*
        const product2={
            name : 'shirt',
            'delivery-time' : '1 day',
            rating:{
                stars : 4.5,
                count : 87
            },
            fun : function(){
                console.log('function inside object')
            }
        }

        console.log(product2);
        console.log(product2.name);
        console.log(product2['name']); 
        console.log(product2['delivery-time']); 

        console.log(product2.rating.count); 
        product2.fun();

        console.log(JSON.stringify(product2))
        console.log( JSON.parse(JSON.stringify(product2)) ) 

        */

        console.log('hello'.length)
        console.log('hello'.toUpperCase())

        const obj1 = {
            message : "hello"
        };

        const obj2 = obj1;
        obj1.message = 'Good Job'
        console.log(obj1)
        console.log(obj2)

        const obj3={
            message : 'Good job !'
        };

        console.log( obj3 === obj1 )
        console.log( obj2 === obj1 )

        const obj4={
            message : 'Good job !'
        };

        // const message = obj4.message;
        const{message} = obj4;

    </script>

 </body>
 </html>